urlbar-back-button-clip-path clips the location bar vertically depending on the font size and implied line height
Created attachment 8398701
screenshot

After the landing of the keyhold back button the awesomebar top border is missing. It looks like the entire field is shifted up one px.